> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get ProcedureParameterVersion by ID

GET https://{tenant_name}.benchling.com/api/v3/procedure-parameter-version/{procedure_parameter_version_id}

Get a single ProcedureParameterVersion by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/procedure-parameter-version/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `procedure_parameter_version_id` (string, required) — ID of the ProcedureParameterVersion.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `allowedEquipmentModels` (map from string to any, optional, nullable)
- `amountDataType` (ProcedureParameterDataType, optional, nullable) — Specifies the value type configuration for a procedure parameter. Used within `ProcedureParameterVersion` to define what kind of data a parameter accepts. The `type` field indicates the field type (such as text, decimal, entity link, or dropdown). For numeric types, `unit` optionally references a `Unit` for measurement context. For entity link types, `schema` optionally constrains values to entities of a specific `EntitySchema`. Also used as `amountDataType` on material input parameter versions to define how amounts are specified.
- `confirmationMethod` (enum, optional)
  - Allowed values: `TABLE`, `PLATE_MAP`
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional)
- `dataType` (ProcedureParameterDataType, optional) — Specifies the value type configuration for a procedure parameter. Used within `ProcedureParameterVersion` to define what kind of data a parameter accepts. The `type` field indicates the field type (such as text, decimal, entity link, or dropdown). For numeric types, `unit` optionally references a `Unit` for measurement context. For entity link types, `schema` optionally constrains values to entities of a specific `EntitySchema`. Also used as `amountDataType` on material input parameter versions to define how amounts are specified.
- `description` (string, optional)
- `id` (string, optional)
- `maximum` (map from string to any, optional, nullable)
- `minimum` (map from string to any, optional, nullable)
- `name` (string, optional)
- `procedureParameter` (ProcedureParameterRef, optional)

## Errors

### 400 Procedure Parameter Version Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Procedure Parameter Version Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Procedure Parameter Version Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Procedure Parameter Version Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Procedure Parameter Version Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### ProcedureParameterDataType

Specifies the value type configuration for a procedure parameter. Used within `ProcedureParameterVersion` to define what kind of data a parameter accepts. The `type` field indicates the field type (such as text, decimal, entity link, or dropdown). For numeric types, `unit` optionally references a `Unit` for measurement context. For entity link types, `schema` optionally constrains values to entities of a specific `EntitySchema`. Also used as `amountDataType` on material input parameter versions to define how amounts are specified.

- `__typename` (string, optional)
- `dropdown` (DropdownRef, optional, nullable)
- `schema` (EntitySchemaRef, optional, nullable)
- `type` (string, optional)
- `unit` (UnitRef, optional, nullable)

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### ProcedureParameterRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

### DropdownRef

- `__typename` (string, optional)
- `id` (string, optional)

### EntitySchemaRef

- `__typename` (string, optional)
- `id` (string, optional)

### UnitRef

- `__typename` (string, optional)
- `id` (string, optional)

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "allowedEquipmentModels": {
    "key": "value"
  },
  "amountDataType": {
    "__typename": "__typename",
    "dropdown": {
      "__typename": "__typename",
      "id": "id"
    },
    "schema": {
      "__typename": "__typename",
      "id": "id"
    },
    "type": "type",
    "unit": {
      "__typename": "__typename",
      "id": "id"
    }
  },
  "confirmationMethod": "TABLE",
  "createdAt": "createdAt",
  "creator": {
    "__typename": "__typename",
    "id": "id"
  },
  "dataType": {
    "__typename": "__typename",
    "dropdown": {
      "__typename": "__typename",
      "id": "id"
    },
    "schema": {
      "__typename": "__typename",
      "id": "id"
    },
    "type": "type",
    "unit": {
      "__typename": "__typename",
      "id": "id"
    }
  },
  "description": "description",
  "id": "id",
  "maximum": {
    "key": "value"
  },
  "minimum": {
    "key": "value"
  },
  "name": "name",
  "procedureParameter": {
    "__typename": "__typename",
    "id": "id"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/procedure-parameter-version/procedure_parameter_version_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/procedure-parameter-version/procedure_parameter_version_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```